summaryrefslogtreecommitdiff
path: root/common/scripts/netmap-pkt-gen/start-pkt-gen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/netmap-pkt-gen/start-pkt-gen.sh')
-rwxr-xr-xcommon/scripts/netmap-pkt-gen/start-pkt-gen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/common/scripts/netmap-pkt-gen/start-pkt-gen.sh b/common/scripts/netmap-pkt-gen/start-pkt-gen.sh
new file mode 100755
index 0000000..5f03a72
--- /dev/null
+++ b/common/scripts/netmap-pkt-gen/start-pkt-gen.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# This script start netmap pkt-gen on two interfaces, one used to transmit and
+# the other to receive; the output of pkt-gen is saved in files to be parsed and
+# passed to common/scripts/min_max_avg_parse.py
+# Sample command: start-pkt-gen.sh eth0 eth1 tx.out rx.out
+# where eth0 is used to send packets and eth1 to receive
+
+test $# -lt 4 && echo "Please pass interfaces and rx and tx output files" && exit 1
+
+netmap/examples/pkt-gen -i $1 -f tx -l 64 &> $2 &
+sleep 4
+netmap/examples/pkt-gen -i $3 -f rx &> $4 &